/*
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Base Styles */
body {
    font-weight: 400 !important;
    font-family: 'Open Sans', sans-serif !important;
    background: #f7f9fa;
}

/* Header Styles */
#site-header {
    width: 100%;
    height: auto;
    background: white;
    z-index: 100;
    padding: 0;
    display: flex;
    flex-direction: column;
}

.header-inner {
    max-width: 1140px;
    margin: 0 auto;
    padding: 15px 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
}
.header-desktop {
    display: flex;
}
.header-mobile {
    display: none;
    position: relative;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 5px 15px;
}
.mobile-logo {

}
.mobile-logo img {
    max-width: 135px;
    height: auto;
}
.mobile-toggle {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.mobile-toggle img {
    width: 28px;
    height: auto;
}
.mobile-menu {
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 15px;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    padding: 30px;
    background: white;
}
.mobile-menu.active {
    display: flex;
}
.mobile-menu ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}
.mobile-menu ul li {

}
.mobile-menu ul li a {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px 0;
    color: #333333;
}
.mobile-menu ul li.current-menu-item {
    font-weight: 600;
}

.site-branding {
    text-align: center;
}

.site-logo img {
    max-width: 200px;
}

.site-navigation a {
    color: #333333;
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
}

.current-menu-item a {
    /* Add styles for current menu item */
}

.header-language-switcher ul {
    display: flex;
    align-items: center;
    column-gap: 5px;
}

.header-language-switcher ul li {
    list-style-type: none;
}

.site-header-class {
    /* Add styles for site header class */
}

/* Booking Panel Styles */
.booking-panel {
    z-index: 100;
    position: sticky;
    top: 0;
    width: 100%;
    height: auto;
    background: linear-gradient(90deg, #3c5ca0, #208dcb, #27ab65);
    color: white;
}

.booking-panel__inner {
    max-width: 1140px;
    margin: 0 auto;
    padding: 15px 0;
}

#booking-panel-form {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 30px;
    padding:0 10px;
}

#booking-panel-form > div {
    flex: 1;
}

#booking-panel-form label {
    font-weight: 600 !important;
    margin-bottom: 5px;
    text-transform: uppercase;
}

#booking-panel-form select,
#booking-panel-form input,
#booking-panel-form button {
    margin: 0;
    padding: 10px 10px;
    outline: none;
    border-radius: 0;
    background: none;
    font-family: inherit;
    font-size: inherit;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    line-height: normal;
    color: white;
    border: 1px solid rgba(255, 255, 255, 0.53);
    height: 45px;
    font-weight: 400 !important;
    cursor: pointer;
}

#booking-panel-form button, .wpcf7-submit {
    background: #9e4f0f;
    padding: 10px 15px;
    color: white;
    cursor: pointer;
    border-radius: 0;
    text-transform: uppercase;
    font-weight: 600 !important;
    border: 1px solid transparent;
    width: 100%;
}

#booking-panel-form select {
    background: #479BDA url('images/chevron-down-solid.svg') no-repeat right 10px center;
    background-size: 15px;
    padding-right: 40px;
}

/* Date Picker Styles */
input[type="date"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    border: 1px solid #ccc;
    padding: 5px;
    cursor: pointer;
}

input[type="date"]:focus {
    outline: none;
    border-color: #007bff;
}

.ui-datepicker {
    border-radius: 0;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 115 !important;
    max-width: 264px;
}

.ui-datepicker-title {
    display: flex;
}

.ui-datepicker select {
    border-radius: 0;
    border-color: grey;
}

.ui-datepicker select:focus {
    outline: none;
    border-color: grey;
}

.ui-datepicker-prev, .ui-datepicker-next {
    display: none;
}

.ui-datepicker-calendar {
    background-color: white;
    table-layout: fixed;
    width: 100%;
}

.ui-datepicker-calendar th,
.ui-datepicker-calendar td {
    width: 14.28%;
    text-align: center;
}

.ui-datepicker-calendar td a, .ui-datepicker-calendar td span {
    display: block;
    width: 100%;
    height: 100%;
    line-height: 30px;
    text-align: center;
}

table td, table th {
    line-height: 30px;
    padding: 0;
    text-align: center;
}

table td a {
    background-color: #3A95D1;
    color: white;
    text-decoration: none;
}

.ui-state-active {
    color: #9e4f0f;
    font-weight: 700;
}

button[aria-selected="true"] {
    font-weight: 700;
}

/* Footer Styles */
#site-footer {
    background: white;
    color: #333333;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.footer-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    max-width: 1140px;
    width: 100%;
    padding: 40px 15px 0 15px;
}

.footer-cols {
    display: flex;
    padding-bottom: 40px;
}

.footer-col {
    flex: 1;
}

.footer-col-3 {
    margin-left: auto;
}

ul.footer-menu {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

ul.footer-menu li {
    /* Add styles for footer menu list items */
}

ul.footer-menu li a {
    display: inline-flex;
    padding: 5px 0;
    color: #333333;
    text-decoration: none;
}

.footer-language-switcher ul {
    display: flex;
    align-items: center;
    column-gap: 5px;
    padding-left: 0;
    margin-top: 15px;
}

.footer-language-switcher ul li {
    list-style-type: none;
}

.footer-bottom {
    border-top: 1px solid #e5e5e5;
    padding: 10px 0 20px 0;
    font-size: 90%;
}

/* Phobs Book Styles */
#phobs_book {
    padding: 10px;
}

#phobs_book label {
    font-weight: 600 !important;
    text-transform: uppercase;
    padding-bottom: 5px;
}

#phobs_book select {
    width: 100%;
    padding: 10px 10px;
    outline: none;
    border-radius: 0;
    font-family: inherit;
    font-size: inherit;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    line-height: normal;
    color: #333333;
    border: 1px solid rgba(0, 0, 0, 0.23);
    height: 45px;
    font-weight: 400 !important;
    cursor: pointer;
    background: url('images/chevron-down-solid-black.svg') no-repeat right 10px center;
    background-size: 15px;
    padding-right: 40px;
}

#phobs_book .button {
    background: #9e4f0f;
    padding: 10px 15px;
    color: white;
    cursor: pointer;
    border-radius: 0;
    text-transform: uppercase;
    font-weight: 600 !important;
    border: 1px solid transparent;
    width: 100%;
}

/* Contact Form 7 Styles */
.wpcf7-form label {
    width: 100%;
}

.wpcf7-form input,
.wpcf7-form textarea {
    border-radius: 0;
    width: 100%;
    margin-top: 5px;
}



/* Responsive Styles */
@media (max-width: 900px) {
    .hide-on-mobile {
        display: none;
    }

    #site-header {
        position: sticky;
        top: 0;
        z-index: 101;
    }

    .header-desktop {
        display: none;
    }
    .header-mobile {
        display: flex;
    }

    .header-language-switcher {
        margin-left: auto;
        margin-right: 30px;
    }
    .header-language-switcher img {
        width: 23px !important;
        height: 13px !important;
    }

    .booking-panel {
        position: relative;
    }

    #booking-panel-form {
        display: flex;
        flex-direction: column;
        row-gap: 10px;
    }

    #booking-panel-form > div {
        width: 100%;
    }

    .footer-cols {
        flex-direction: column;
        row-gap: 20px;
    }

    .footer-col-3 {
        margin-left: unset;
    }
}